Description: disable libcrypto due to bug/licensing isssues
Author: David Lichteblau <david@lichteblau.com>

Index: ldapvi-1.7/config.h.in
===================================================================
--- ldapvi-1.7.orig/config.h.in
+++ ldapvi-1.7/config.h.in
@@ -5,5 +5,6 @@
 #undef HAVE_OPENSSL
 #undef HAVE_GNUTLS
 #undef HAVE_SHA1
+#undef HAVE_MD5
 #undef RAND_PSEUDO_BYTES
 #undef HAVE_SASL
Index: ldapvi-1.7/configure
===================================================================
--- ldapvi-1.7.orig/configure
+++ ldapvi-1.7/configure
@@ -4836,6 +4836,8 @@ _ACEOF
 _ACEOF
 
 		;;
+	none)
+		;;
 	*)
 		{ { echo "$as_me:$LINENO: error: invalid value --with-libcrypto=$with_libcrypto, expected openssl or gnutls" >&5
 echo "$as_me: error: invalid value --with-libcrypto=$with_libcrypto, expected openssl or gnutls" >&2;}
@@ -4937,6 +4939,100 @@ fi
 done
 
 
+for ac_func in MD5
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	eval "$as_ac_var=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+
 for ac_func in RAND_pseudo_bytes
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
Index: ldapvi-1.7/configure.in
===================================================================
--- ldapvi-1.7.orig/configure.in
+++ ldapvi-1.7/configure.in
@@ -73,11 +73,14 @@ case $with_libcrypto in
 		AC_DEFINE(HAVE_GNUTLS)
 		AC_DEFINE(SHA_DIGEST_LENGTH,20)
 		;;
+	none)
+		;;
 	*)
 		AC_MSG_ERROR([invalid value --with-libcrypto=$with_libcrypto, expected openssl or gnutls])
 		;;
 esac
 AC_CHECK_FUNCS([SHA1])
+AC_CHECK_FUNCS([MD5])
 AC_CHECK_FUNCS([RAND_pseudo_bytes])
 
 AC_CHECK_LIB([crypt],[main])
Index: ldapvi-1.7/port.c
===================================================================
--- ldapvi-1.7.orig/port.c
+++ ldapvi-1.7/port.c
@@ -39,7 +39,7 @@
 #include <gnutls/gnutls.h>
 #include <gnutls/openssl.h>
 #else
-#error oops
+#warning Compiling without cryptographic routines.
 #endif
 
 #ifndef HAVE_RAND_PSEUDO_BYTES
@@ -148,15 +148,21 @@ g_string_append_ssha(GString *string, ch
 int
 g_string_append_md5(GString *string, char *key)
 {
+#ifdef HAVE_MD5
 	unsigned char tmp[MD5_DIGEST_LENGTH];
 	MD5((unsigned char *) key, strlen(key), tmp);
 	g_string_append_base64(string, tmp, sizeof(tmp));
 	return 1;
+#else
+	puts("Sorry, MD5 support not linked into ldapvi.");
+	return 0;
+#endif
 }
 
 int
 g_string_append_smd5(GString *string, char *key)
 {
+#ifdef HAVE_MD5
 	unsigned char rand[4];
 	unsigned char tmp[MD5_DIGEST_LENGTH + sizeof(rand)];
 	MD5_CTX MD5context;
@@ -172,4 +178,8 @@ g_string_append_smd5(GString *string, ch
 	g_string_append_base64(string, tmp, sizeof(tmp));
 
 	return 1;
+#else
+	puts("Sorry, SMD5 support not linked into ldapvi.");
+	return 0;
+#endif
 }
